Package junit.swingui

# Class TestSelector.DoubleClickListener

java.lang.Object
java.awt.event.MouseAdapter
junit.swingui.TestSelector.DoubleClickListener

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Enclosing class:
  `TestSelector`

protected class TestSelector.DoubleClickListener extends MouseAdapter

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DoubleClickListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseClicked(MouseEvent e)`

### Methods inherited from class java.awt.event.MouseAdapter

`mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DoubleClickListener

protected DoubleClickListener()

## Method Details

### mouseClicked

public void mouseClicked(MouseEvent e)

Specified by:
  `mouseClicked` in interface `MouseListener`
Overrides:
  `mouseClicked` in class `MouseAdapter`